org.openstreetmap.josm.plugins.streetside.oauth

## Class OAuthPortListener

- java.lang.Object
- - java.lang.Thread
  - - org.openstreetmap.josm.plugins.streetside.oauth.OAuthPortListener

- All Implemented Interfaces:
    Runnable

      public class OAuthPortListener
      extends Thread

  Listens to the OAuth port (8763) in order to get the access token and sends back a simple reply.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideLoginListener` | `callback`
    `static int` | `PORT`
    `protected static String` | `RESPONSE`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthPortListener(StreetsideLoginListener loginCallback)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `private static void` | `writeContent(PrintWriter out)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PORT

          public static final int PORT

      See Also:
        Constant Field Values

    - #### RESPONSE

          protected static final String RESPONSE

    - #### callback

          private final StreetsideLoginListener callback

  - ### Constructor Detail

    - #### OAuthPortListener

          public OAuthPortListener(StreetsideLoginListener loginCallback)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### writeContent

          private static void writeContent(PrintWriter out)

JOSM Plugins